<?php

/**
* @author    Eric Sizemore <admin@secondversion.com>
* @package   SV's Simple Contact
* @link      www.secondversion.com
* @version   1.0.7
* @copyright (C) 2005 - 2008 Eric Sizemore
* @license
*			This program is free software; you can redistribute it and/or modify
*			it under the terms of the GNU General Public License as published by
*			the Free Software Foundation; either version 2 of the License, or
*			(at your option) any later version.
*
*			This program is distributed in the hope that it will be useful,
*			but WITHOUT ANY WARRANTY; without even the implied warranty of
*			MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
*			GNU General Public License for more details.
*/

session_start();

define('IN_SC', true);
require_once('./sc_includes/sc_functions.php');
require_once('./sc_includes/sc_captcha/sc_captcha.class.php');

if (!sc_has_gd())
{
	exit;
}

// ################################################################
/**
* Determining the fonts this way will allow users to add their own fonts,
* without having to edit this file..
*/
$fonts = array();
$fontdir = dirname(__FILE__) . '/sc_includes/sc_captcha/sc_fonts/';

$disabled = ini_get('disable_functions');
$disabled = (strpos($disabled, ',') !== false) ? explode(',', $disabled) : array($disabled);

if (!in_array('glob', $disabled))
{
	foreach (glob("{$fontdir}*.ttf") AS $font)
	{
		array_push($fonts,  str_replace($fontdir, '', $font));
	}
}
else
{
	$fonts = array('devgothic.ttf', 'eco2.ttf');
}
unset($disabled);

// ################################################################
$captcha = new captcha($fontdir, $fonts);
$captcha->make_captcha();
$_SESSION['sc_captcha'] = md5($captcha->code);
session_write_close();

?>